﻿using System;

namespace SignorityAPI
{
    public class Invitaion
    {
        public int id { get; set; }
        public string recipientName { get; set; }
        public string recipientEmail { get; set; }

        public string deadlineTime { get; set; }
        public int? reminderDay { get; set; }
        public int? remindHour { get; set; }
        public int? actionType { get; set; }
        public int? status { get; set; }
        public string emailSubject { get; set; }
        public string emailBody { get; set; }
        public int? sequence { get; set; }

        public string GUID { get; set; }
        //public string actionType { get; set; }

        public Boolean? isBulkSigner { get; set; }

        public string style { get; set; }

        public void setSigner(string recipientName, string recipientEmail)
        {
            this.recipientName  = recipientName;
            this.recipientEmail = recipientEmail;
            this.actionType     = Code.INVITATION_TYPE_SIGNER;
            this.id             = -1;
            this.sequence       = 0;
            this.isBulkSigner = false;
            this.status = Code.RECIPIENT_STATUS_NOT_SENT;
            this.emailSubject = "";
            this.emailBody = "";
        }

    }
}
