﻿using System.Collections.Generic;

namespace SignorityAPI

{
    public class JsonResultDocumentList<T> : IEnumerable<T>
    {

        public string success { get; set; }
        public int? documentCount { get; set; }

        public List<T> documents { get; set; }


        public IEnumerator<T> GetEnumerator()
        {
            return documents.GetEnumerator();
        }
        
        System.Collections.IEnumerator System.Collections.IEnumerable.GetEnumerator()
        {
            return GetEnumerator();
        }


    }
}
