﻿using System.Collections.Generic;


namespace SignorityAPI
{
    public class Documents
    {
        public int id { get; set; }
        public string GUID { get; set; }
        public string title { get; set; }

        public int? signingStatus { get; set; }
        public int? documentType { get; set; }
        public int? signerCount { get; set; }

        public Client user { get; set; }

        //  exist in detailed docs
        public string senderName { get; set; }
        public string senderEmail { get; set; }
        public string DocumentRoot { get; set;}

        public bool addAnchorTags { get; set; }

        public DocumentSetting documentSetting { get; set; }

        public List<Invitaion> invitations { get; set; }

        public List<file> files { get; set; }

        public List<Tag> tags { get; set; }

    }

    public class file
    {
        public int id { get; set; }
        public string name { get; set; }
        public int sequence { get; set; }
        public string type { get; set; }
        public string size { get; set; }

        public bool addTagsOfPDF { get; set; }
        public bool addAnchorTags { get; set; }
        public bool highDisplayResolution { get; set; }

        public List<page> pages { get; set; }
    }

    public class page
    {
        public int id { get; set; }
        public int height { get; set; }
        public int width { get; set; }
        public int sequence { get; set; }

        public List<Tag> tags { get; set; }
    }

}
